<?php
/**
 *
 *          ..::..
 *     ..::::::::::::..
 *   ::'''''':''::'''''::
 *   ::..  ..:  :  ....::
 *   ::::  :::  :  :   ::
 *   ::::  :::  :  ''' ::
 *   ::::..:::..::.....::
 *     ''::::::::::::''
 *          ''::''
 *
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Creative Commons License.
 * It is available through the world-wide-web at this URL:
 * http://creativecommons.org/licenses/by-nc-nd/3.0/nl/deed.en_US
 * If you are unable to obtain it through the world-wide-web, please send an email
 * to servicedesk@tig.nl so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future. If you wish to customize this module for your
 * needs please contact servicedesk@tig.nl for more information.
 *
 * @copyright   Copyright (c) Total Internet Group B.V. https://tig.nl/copyright
 * @license     http://creativecommons.org/licenses/by-nc-nd/3.0/nl/deed.en_US
 */

namespace TIG\PostNL\Setup;

use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\Setup\UpgradeSchemaInterface;

// @codingStandardsIgnoreFile
class UpgradeSchema implements UpgradeSchemaInterface
{
    private $upgradeSchemaObjects;

    public function __construct(
        $upgradeSchemaObjects = []
    ) {
        $this->upgradeSchemaObjects = $upgradeSchemaObjects;
    }

    public function upgrade(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $setup->startSetup();

        if (version_compare($context->getVersion(), '1.2.0', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.2.0'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.3.0', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.3.0'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.3.1', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.3.1'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.4.0', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.4.0'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.4.1', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.4.1'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.5.2', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.5.2'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.5.3', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.5.3'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.6.1', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.6.1'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.7.4', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.7.4'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.8.0', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.8.0'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.8.2', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.8.2'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.9.0', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.9.0'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.9.1', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.9.1'], $setup, $context);
        }

        if (version_compare($context->getVersion(), '1.12.5', '<')) {
            $this->upgradeSchemas($this->upgradeSchemaObjects['v1.12.5'], $setup, $context);
        }

        $setup->endSetup();
    }

    /**
     * @param $schemaObjects
     * @param $setup
     * @param $context
     */
    private function upgradeSchemas($schemaObjects, $setup, $context)
    {
        /** @var AbstractColumnsInstaller $schema */
        foreach ($schemaObjects as $schema) {
            $schema->install($setup, $context);
        }
    }
}
